# MysteryEncounterBattleStartCleanupPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MysteryEncounterBattleStartCleanupPhase

Runs at the beginning of an Encounter's battle Will clean up any residual flinches, Endure, etc. that are left over from MysteryEncounter.startOfBattleEffects Will also handle Game Overs, switches, etc. that could happen from handleMysteryEncounterBattleStartEffects See TurnEndPhase for more details

#### Hierarchy (View Summary)

- Phase
  - MysteryEncounterBattleStartCleanupPhase

- Defined in src/phases/mystery-encounter-phases.ts:223

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new MysteryEncounterBattleStartCleanupPhase(): MysteryEncounterBattleStartCleanupPhase

  #### Returns MysteryEncounterBattleStartCleanupPhase

  Inherited from Phase.constructor

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  Cleans up `TURN_END` tags, any `PostTurnStatusEffectPhase`s, checks for Pokemon switches, then continues

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/mystery-encounter-phases.ts:227